unit Unit1;

{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
{$IFnDEF FPC}
  RxGIF, Windows,
{$ELSE}
  Windows,LCLIntf, LCLType, LMessages,
{$ENDIF}
  Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, EditBtn, GIFImg, StrUtils;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button8: TButton;
    Image1: TImage;
    Button2: TButton;
    btn1: TButton;
    Button3: TButton;
    Button5: TButton;
    Edit2: TEdit;
    Button6: TButton;
    Button4: TButton;
    Button7: TButton;
    Image2: TImage;
    procedure AbZipBrowser1Change(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure btn1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

var
   g:TGIFImage;

procedure TForm1.Button1Click(Sender: TObject);
var
    fStream:TFileStream;
    Gifimg:TGIFImage;
    p,zp:string;
begin
  P:=ExtractFilePath(Application.ExeName);
  Gifimg:=TGIFImage.Create;
 try
   P:=ExtractFilePath(Application.ExeName);
   zp:=ANSItoUTF8(p+'LOGO.GIF');
    Gifimg.LoadFromFile(zp);
    Image1.Picture.Assign(Gifimg);
    TGIFImage(Image1.Picture.Graphic).AnimationSpeed := 500;
    TGIFImage(Image1.Picture.Graphic).Animate := true;
    Image1.Transparent:=True;//起作用
 finally
    Gifimg.Free;
 end;
end;

procedure TForm1.AbZipBrowser1Change(Sender: TObject);
begin

end;

procedure TForm1.Button2Click(Sender: TObject);
var
    fStream:TFileStream;
    Gifimg:TGIFImage;
    p:string;
begin
  P:=ExtractFilePath(Application.ExeName);
  fStream:=TFileStream.Create(p+'logo.gif',0);
  Gifimg:=TGIFImage.Create;
try
  Gifimg.LoadFromStream(TFileStream(fStream));
  Image1.Picture.Assign(Gifimg);
  TGIFImage(Image1.Picture.Graphic).AnimationSpeed := 500;
  TGIFImage(Image1.Picture.Graphic).Animate := true;
  Image1.Transparent:=True;//起作用
finally
  Gifimg.Free;
  fStream.Free;
end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  TGIFImage(Image1.Picture.Graphic).AnimationSpeed := 100;
  TGIFImage(Image1.Picture.Graphic).Transparent:=true;
  TGIFImage(Image1.Picture.Graphic).Animate := true;

  Image1.Transparent:=True;//起作用
  g.Animate:=false;
  g.Animate:=true;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  g.Images[StrToint(Edit2.Text)].Bitmap.SaveToFile('test'+Edit2.Text+'.bmp');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  g.Animate:=true;
  Image2.Picture.Assign(g);
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  g.Animate:=False;
  Image2.Picture.Graphic.Assign(g);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  Image2.Picture.Bitmap.Assign(g.Images[StrToint(Edit2.Text)].Bitmap);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  Image2.Picture.Bitmap.Assign(g.Images[0].Bitmap);
  g.Transparent:=true;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  p,zp:String;
  C:Tcolor;
begin
  // TGIFImage(Image1.Picture.Graphic).AnimationSpeed := 60;
   g:=TGIFImage.Create;
   P:=ExtractFilePath(Application.ExeName);
   zp:=ANSItoUTF8(p+'LOGO.GIF');
   g.LoadFromFile(zp);
   g.AnimationSpeed := 300;
   g.Transparent:=true;
   Caption:=IntTostr(g.Images.Count);
   Image1.Picture.Bitmap:=(g.Images[2].Bitmap);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  g.free;
end;

procedure TForm1.btn1Click(Sender: TObject);
var
    Strm:TMemoryStream;
    Gifimg:TGIFImage;
    p:string;
begin
  P:=ExtractFilePath(Application.ExeName);
  Strm:=TMemoryStream.Create;
  Strm.LoadFromFile(P+'LOGO.GIF');
  Gifimg:=TGIFImage.Create;
try
  Gifimg.LoadFromStream(Strm);
  Image1.Picture.Assign(Gifimg);
  TGIFImage(Image1.Picture.Graphic).AnimationSpeed := 500;
  TGIFImage(Image1.Picture.Graphic).Animate := true;
  Image1.Transparent:=True;//起作用
finally
  Gifimg.Free;
  Strm.Free;
end;
end;

end.
